Arch Truss/it: Difference between revisions

From FreeCAD Documentation
(Created page with "# Utilizzare un ambiente di lavoro a scelta per creare un'unica linea # Selezionare quella linea # Premere il pulsante {{Button|16px Arch Truss/it|T...")
(Created page with "# Assicurarsi che non sia selezionato nulla # Premere il pulsante {{Button|16px Travatura}} # Fare clic nella vista 3D per definire...")
Line 36: Line 36:
=== Creare dall'inizio ===
=== Creare dall'inizio ===


# Assicurarsi che non sia selezionato nulla
# Make sure nothing is selected
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch Truss]]}} button
# Premere il pulsante {{Button|[[Image:Arch Truss.svg|16px]] [[Arch Truss/it|Travatura]]}}
# Fare clic nella vista 3D per definire un primo punto o immettere manualmente le coordinate X, Y e Z.
# Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
# Fare clic nella vista 3D per definire il secondo punto o immettere manualmente le coordinate X, Y e Z.
# Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
# Regolare le proprietà della capriata a proprio piacimento
# Adjust the truss properties to your liking


==Proprietà==
==Proprietà==

Revision as of 19:08, 18 May 2020

Arch Truss

Posizione nel menu
Arch → Travatura
Ambiente
Arch
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Nessuno

Descrizione

Lo strumento Travatura crea un oggetto travatura, sia da un oggetto lineare selezionato (posta su una Linea di Draft o uno [[Sketcher_NewSketch/it|Schizzo] ]), o da zero se non viene selezionato alcun oggetto all'avvio del comando.

Utilizzo

Creare da un oggetto selezionato

  1. Utilizzare un ambiente di lavoro a scelta per creare un'unica linea
  2. Selezionare quella linea
  3. Premere il pulsante Travatura
  4. Regolare le proprietà della capriata a proprio piacimento


Creare dall'inizio

  1. Assicurarsi che non sia selezionato nulla
  2. Premere il pulsante Travatura
  3. Fare clic nella vista 3D per definire un primo punto o immettere manualmente le coordinate X, Y e Z.
  4. Fare clic nella vista 3D per definire il secondo punto o immettere manualmente le coordinate X, Y e Z.
  5. Regolare le proprietà della capriata a proprio piacimento

Proprietà

Dati

  • DatiTrussAngle: The angle of the truss
  • DatiSlantType: The slant type of this truss
  • DatiNormal: The normal direction of this truss
  • DatiHeightStart: The height of the truss at the start position
  • DatiHeightEnd: The height of the truss at the end position
  • DatiStrutStartOffset: An optional start offset for the top strut
  • DatiStrutEndOffset: An optional end offset for the top strut
  • DatiStrutHeight: The height of the main top and bottom elements of the truss
  • DatiStrutWidth: The width of the main top and bottom elements of the truss
  • DatiRodType: The type of the middle element of the truss
  • DatiRodDirection: The direction of the rods
  • DatiRodSize: The diameter or side of the rods
  • DatiRodSections: The number of rod sections
  • DatiRodEnd: If the truss has a rod at its endpoint or not
  • DatiRodMode: How to draw the rods

Script

Lo strumentoTravatura può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Truss = makeFence([baseobj])

Esempio:

import FreeCAD
import Draft
import Arch

p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties